/*****************************************************************************
 * modules_builtin.h: built-in modules list
 *****************************************************************************
 * Copyright (C) 2001 VideoLAN
 *
 * Authors: Samuel Hocevar <sam@zoy.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#define ALLOCATE_BUILTIN( NAME ) \
    AllocateBuiltinModule( p_bank, module_ ## NAME ## _InitModule, \
                                   module_ ## NAME ## _ActivateModule, \
                                   module_ ## NAME ## _DeactivateModule );

/* Add stuff here */
int module_dsp_InitModule (module_t *);
int module_dsp_ActivateModule (module_t *);
int module_dsp_DeactivateModule (module_t *);
int module_esd_InitModule (module_t *);
int module_esd_ActivateModule (module_t *);
int module_esd_DeactivateModule (module_t *);
int module_fb_InitModule (module_t *);
int module_fb_ActivateModule (module_t *);
int module_fb_DeactivateModule (module_t *);
int module_ggi_InitModule (module_t *);
int module_ggi_ActivateModule (module_t *);
int module_ggi_DeactivateModule (module_t *);
int module_sdl_InitModule (module_t *);
int module_sdl_ActivateModule (module_t *);
int module_sdl_DeactivateModule (module_t *);
int module_glide_InitModule (module_t *);
int module_glide_ActivateModule (module_t *);
int module_glide_DeactivateModule (module_t *);
int module_qt_InitModule (module_t *);
int module_qt_ActivateModule (module_t *);
int module_qt_DeactivateModule (module_t *);
int module_gnome_InitModule (module_t *);
int module_gnome_ActivateModule (module_t *);
int module_gnome_DeactivateModule (module_t *);
int module_x11_InitModule (module_t *);
int module_x11_ActivateModule (module_t *);
int module_x11_DeactivateModule (module_t *);
int module_xvideo_InitModule (module_t *);
int module_xvideo_ActivateModule (module_t *);
int module_xvideo_DeactivateModule (module_t *);
int module_alsa_InitModule (module_t *);
int module_alsa_ActivateModule (module_t *);
int module_alsa_DeactivateModule (module_t *);
int module_ps_InitModule (module_t *);
int module_ps_ActivateModule (module_t *);
int module_ps_DeactivateModule (module_t *);
int module_ts_InitModule (module_t *);
int module_ts_ActivateModule (module_t *);
int module_ts_DeactivateModule (module_t *);
int module_yuv_InitModule (module_t *);
int module_yuv_ActivateModule (module_t *);
int module_yuv_DeactivateModule (module_t *);
int module_idct_InitModule (module_t *);
int module_idct_ActivateModule (module_t *);
int module_idct_DeactivateModule (module_t *);
int module_idctclassic_InitModule (module_t *);
int module_idctclassic_ActivateModule (module_t *);
int module_idctclassic_DeactivateModule (module_t *);
int module_motion_InitModule (module_t *);
int module_motion_ActivateModule (module_t *);
int module_motion_DeactivateModule (module_t *);
int module_dvd_InitModule (module_t *);
int module_dvd_ActivateModule (module_t *);
int module_dvd_DeactivateModule (module_t *);
int module_dummy_InitModule (module_t *);
int module_dummy_ActivateModule (module_t *);
int module_dummy_DeactivateModule (module_t *);
int module_null_InitModule (module_t *);
int module_null_ActivateModule (module_t *);
int module_null_DeactivateModule (module_t *);
int module_yuvmmx_InitModule (module_t *);
int module_yuvmmx_ActivateModule (module_t *);
int module_yuvmmx_DeactivateModule (module_t *);
int module_idctmmx_InitModule (module_t *);
int module_idctmmx_ActivateModule (module_t *);
int module_idctmmx_DeactivateModule (module_t *);
int module_idctmmxext_InitModule (module_t *);
int module_idctmmxext_ActivateModule (module_t *);
int module_idctmmxext_DeactivateModule (module_t *);
int module_motionmmx_InitModule (module_t *);
int module_motionmmx_ActivateModule (module_t *);
int module_motionmmx_DeactivateModule (module_t *);
int module_motionmmxext_InitModule (module_t *);
int module_motionmmxext_ActivateModule (module_t *);
int module_motionmmxext_DeactivateModule (module_t *);
#define ALLOCATE_ALL_BUILTINS() \
{ \
    ALLOCATE_BUILTIN(dsp); \
    ALLOCATE_BUILTIN(esd); \
    ALLOCATE_BUILTIN(fb); \
    ALLOCATE_BUILTIN(ggi); \
    ALLOCATE_BUILTIN(sdl); \
    ALLOCATE_BUILTIN(glide); \
    ALLOCATE_BUILTIN(qt); \
    ALLOCATE_BUILTIN(gnome); \
    ALLOCATE_BUILTIN(x11); \
    ALLOCATE_BUILTIN(xvideo); \
    ALLOCATE_BUILTIN(alsa); \
    ALLOCATE_BUILTIN(ps); \
    ALLOCATE_BUILTIN(ts); \
    ALLOCATE_BUILTIN(yuv); \
    ALLOCATE_BUILTIN(idct); \
    ALLOCATE_BUILTIN(idctclassic); \
    ALLOCATE_BUILTIN(motion); \
    ALLOCATE_BUILTIN(dvd); \
    ALLOCATE_BUILTIN(dummy); \
    ALLOCATE_BUILTIN(null); \
    ALLOCATE_BUILTIN(yuvmmx); \
    ALLOCATE_BUILTIN(idctmmx); \
    ALLOCATE_BUILTIN(idctmmxext); \
    ALLOCATE_BUILTIN(motionmmx); \
    ALLOCATE_BUILTIN(motionmmxext); \
};
